
Redmine - Defect #24000

z-index children menu should be greater than content 

2016-10-05 09:57 - Kirill Ponomarev

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.3.2   

Resolution: Fixed Affected version:  

Description

In Redmine 3.3.0.stable.15884 we have:

#main-menu .menu-children {

  z-index:1;

}

#content {

  z-index: 10;

}

 It should be:

#main-menu .menu-children {

  z-index: 11;

}

Related issues:

Related to Redmine - Feature #15880: Consistent, global button/menu to add ne... Closed

Associated revisions

Revision 15954 - 2016-11-18 09:23 - Jean-Philippe Lang

Setting z-index of project menu drop down to 45, above context menus, below modals (#24000).

Patch by Jan Schulz-Hofen.

Revision 16044 - 2016-12-03 09:39 - Jean-Philippe Lang

Merged r15954 (#24000).

History

#1 - 2016-10-25 09:30 - Toshi MARUYAMA

- Related to Feature #15880: Consistent, global button/menu to add new content added

#2 - 2016-10-25 09:32 - Toshi MARUYAMA

Please explain more details about what the current problem is and what you expect.

#3 - 2016-10-26 03:12 - Makoto Kawasaki

Some uses have a problem that #conten element is over .menu-children element.

https://github.com/makotokw/redmine-theme-gitmike/issues/31#issuecomment-255307502

I have never seen this problem in my environment.

#4 - 2016-10-26 14:04 - Jan from Planio www.plan.io

- File 0001-setting-z-index-of-project-menu-drop-down-to-45-abov.patch added

I agree that a z-index of 1 may be too low given the fact that #content has a z-index of 10.
https://github.com/makotokw/redmine-theme-gitmike/issues/31#issuecomment-255307502


I am setting the z-index to 45 now, which is above context menus but below modals which I think would make sense.

Could someone please try the attached patch and see if the problem with said theme is still reproducible?

#5 - 2016-10-26 14:54 - Gregory V

Jan from Planio www.plan.io wrote:

I agree that a z-index of 1 may be too low given the fact that #content has a z-index of 10.

I am setting the z-index to 45 now, which is above context menus but below modals which I think would make sense.

Could someone please try the attached patch and see if the problem with said theme is still reproducible?

 Terrific! Tested and works in the following themes: default, classic, gitmike, flatly light, circle, a1, alternate

#6 - 2016-10-26 14:55 - Jan from Planio www.plan.io

- Target version set to Candidate for next minor release

Thanks for testing, I am setting this as a candidate for the next bugfix release then.

#7 - 2016-10-27 18:00 - Toshi MARUYAMA

- Target version changed from Candidate for next minor release to 3.3.2

#8 - 2016-11-18 09:23 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fix committed, thanks.

#9 - 2016-12-03 09:39 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

0001-setting-z-index-of-project-menu-drop-down-to-45-abov.patch 837 Bytes 2016-10-26 Jan from Planio www.plan.io
